[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TProcess.Environment

Environment variables for the new process

## Declaration

Source position: process.pp line 147

`published property TProcess.Environment : TStrings read FEnvironment write SetEnvironment;`

## Description

Environment contains the environment for the new process; it's a list of Name=Value pairs, one per line.

If it is empty, the environment of the current process is passed on to the new process.

## See also

TProcess.Options |  | Options to be used when starting the process.

Documentation generated on: Feb 26 2014